---
title: User Registration
description: Register a new user on the prepaid card portal with full KYC details and card allocation.
---

This API is for user registration with prepaid card portal. This way a user will be allowed to add card and do transaction from it. Customer must provide the otp that he has received. We must pass mobile no, kit no, card type, card no, card expiry, first name, last name, title, gender, dob, email , address, city, state, pincode, doc type, doc no, doc expiry, doc country issue, otp and password in request. If the request has valid details, we will get entity id, kyc status, kyc expiry date.

#### POST
```
https://kraken.airpay.co.in/airpay/ms/cards/api/register-user
```

## Header

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| affiliate  required | text<br>(`1-10`) | Will be provided by airpay | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| checksum  required | text | $string = $param.self::$secret_key;sha256(<concate all values+SECRET KEY>);(dynamic, required) | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |
| processor-key  required | text | Will be provided by airpay(constant, required) | `91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps` |

## Request Body

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| mobile_no  required | numeric  <br>(1-10) | Mobile number of customer | `9XXXXXX513` |
| kit_no  required | text  <br>(1-16) | Proxy for Card Number, used for both physical and virtual card that is to be allocated to the customer . | `100000001200` |
| card_type  required | text | Card type to be mentioned. ( P – Physical , V- virtual)(length 1, required) | `V` |
| card_no  required | text  <br>(1-16) | Customer need to enter the card no.16 digit card no. | `462294XXXXXX3713` |
| card_expiry  required | date  <br>(1-10) | Expiry Date of Card- 1 month to 25 years | `01/25` |
| first_name  required | text  <br>(1-30) | Customer First Name (Only a-z A-Z and no spaces) | `Prasanth` |
| last_name  required | text  <br>(1-30) | Customer Last Name (Only a-z A-Z and no spaces) | `Kumar` |
| title  required | text  <br>(1-4) | Mr,Mrs,Ms |
| gender  required | text  <br>(1) | Mobile M or F or T | `M,F,T` |
| dob  required | date  <br>(1-10) | DOB format YYYY-MM-DD | `1989-11-09` |
| email  required | text  <br>(1-50) | Valid Email address with valid email format .Must be unique. | `xyz@airpay.co.in` |
| address  required | text  <br>(1-100) | Customer address (Alpha numeric only with space allowed) | `Kochi` |
| city  required | text  <br>(1-20) | Customer City(Only a-z A-Z and no spaces) | `Ernakulam` |
| state  required | text  <br>(1-20) | Customer state(Only a-z A-Z and with spaces) | `Kerala` |
| pincode  required | numeric  <br>(1-15) | Customer pincode (only 6 digits for India) | `689673` |
| doc_type  required | text  <br>(1-10) | Document Type | `AADHAAR,PAN,VOTERID,DL,PASSPORT` |
| doc_number  required | text  <br>(1-20) | Document number | `59048961234` |
| doc_expiry  required | date  <br>(1-10) | Document Expiry |
| doc_country_issue  required | text  <br>(1-20) | Valid country name (Only a-z A-Z and with spaces) | `India` |
| otp  required | numeric  <br>(1-4) | One Time Password,We have to pass this values after initiating "Generate OTP" API |
| password  required | text  <br>(1-20) | At least 7 characters Maximum 20 characters A mixture of both uppercase and lowercase letters. A mixture of letters and numbers. Inclusion of at least one special character | `PaSwd@1234` |

## Success 200

| Parameter | Type Value | Description | Value Like |
| --- | --- | --- | --- |
| status  required | numeric<br>(`1-3`) | airpay status | `400,200` |
| message  required | text | airpay status message | `Success,Fail` |
| data  required | json | { "entity_id": "12345678", "kyc_status": "MIN_KYC", "kyc_expiry_date": "2021-06-18", "kycRefNo": null } |

## Request Example

```
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/cards/api/register-user' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'mobile_no=9XXXXXX513' \
--data-urlencode 'kit_no=100000001200' \
--data-urlencode 'card_type=V' \
--data-urlencode 'card_no=462294XXXXXX3713' \
--data-urlencode 'card_expiry=01/25' \
--data-urlencode 'title=Mr' \
--data-urlencode 'first_name=Prasanth' \
--data-urlencode 'last_name=Kumar' \
--data-urlencode 'gender=M' \
--data-urlencode 'dob=1989-11-09' \
--data-urlencode 'email=xyz@airpay.co.in' \
--data-urlencode 'address=Kochi' \
--data-urlencode 'state=Kerala' \
--data-urlencode 'city=Ernakulam' \
--data-urlencode 'pincode=689673' \
--data-urlencode 'doc_type=AADHAAR' \
--data-urlencode 'doc_number=59048961234' \
--data-urlencode 'doc_expiry=' \
--data-urlencode 'doc_country_issue=India' \
--data-urlencode 'otp=' \
--data-urlencode 'password=PaSwd@1234'
```

### Success Response

```json
{
    "status": 200,
    "message": "success",
    "data": {
        "entity_id": "91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps",
        "kyc_status": "MIN_KYC",
        "kyc_expiry_date": "2021-06-18",
        "kycRefNo": null
    }
}
```

### Error Response

```json
{
    "status": 400,
    "message": "fail"
}
```